Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model
Class I18NTextImpl

    java.lang.Object
      org.jbpm.services.task.impl.model.I18NTextImpl

All Implemented Interfaces:
  Externalizable, Serializable, I18NText, org.kie.internal.task.api.model.InternalI18NText

    @Entity
    public class I18NTextImpl

extends Object
implements org.kie.internal.task.api.model.InternalI18NText

See Also:
  Serialized Form

Constructor Summary
`I18NTextImpl()`
`I18NTextImpl(String language, String text)`

Method Summary
`boolean` | `equals(Object obj)`
`Long` | `getId()`
`String` | `getLanguage()`
`static String` | `getLocalText(List<I18NTextImpl> list, String prefferedLanguage, String defaultLanguage)`
`String` | `getText()`
`int` | `hashCode()`
`void` | `readExternal(ObjectInput in)`
`void` | `setId(long id)`
`void` | `setLanguage(String language)`
`void` | `setText(String text)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### I18NTextImpl

    public I18NTextImpl()

### I18NTextImpl

    public I18NTextImpl(String language,
                        String text)

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getId

    public Long getId()

  Specified by:
    `getId` in interface `I18NText`

### setId

    public void setId(long id)

  Specified by:
    `setId` in interface `org.kie.internal.task.api.model.InternalI18NText`

### getLanguage

    public String getLanguage()

  Specified by:
    `getLanguage` in interface `I18NText`

### setLanguage

    public void setLanguage(String language)

  Specified by:
    `setLanguage` in interface `org.kie.internal.task.api.model.InternalI18NText`

### getText

    public String getText()

  Specified by:
    `getText` in interface `I18NText`

### setText

    public void setText(String text)

  Specified by:
    `setText` in interface `org.kie.internal.task.api.model.InternalI18NText`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getLocalText

    public static String getLocalText(List<I18NTextImpl> list,
                                      String prefferedLanguage,
                                      String defaultLanguage)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.